Package org.drinkless.tdlib

# Class TdApi.ChatActionBarJoinRequest

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatActionBar
org.drinkless.tdlib.TdApi.ChatActionBarJoinRequest

Enclosing class:
  `TdApi`

public static class TdApi.ChatActionBarJoinRequest extends TdApi.ChatActionBar
The chat is a private chat with an administrator of a chat to which the user sent join request.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.ChatActionBar

  `TdApi.ChatActionBar.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isChannel`
  True, if the join request was sent to a channel chat.
  `int`
  `requestDate`
  Point in time (Unix timestamp) when the join request was sent.
  `String`
  `title`
  Title of the chat to which the join request was sent.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatActionBarJoinRequest()`
  The chat is a private chat with an administrator of a chat to which the user sent join request.
  `ChatActionBarJoinRequest(String title, boolean isChannel, int requestDate)`
  The chat is a private chat with an administrator of a chat to which the user sent join request.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### title

    public String title
    Title of the chat to which the join request was sent.

  - ### isChannel

    public boolean isChannel
    True, if the join request was sent to a channel chat.

  - ### requestDate

    public int requestDate
    Point in time (Unix timestamp) when the join request was sent.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatActionBarJoinRequest

    public ChatActionBarJoinRequest()
    The chat is a private chat with an administrator of a chat to which the user sent join request.

  - ### ChatActionBarJoinRequest

    public ChatActionBarJoinRequest(String title, boolean isChannel, int requestDate)
    The chat is a private chat with an administrator of a chat to which the user sent join request.
    Parameters:
      `title` - Title of the chat to which the join request was sent.
      `isChannel` - True, if the join request was sent to a channel chat.
      `requestDate` - Point in time (Unix timestamp) when the join request was sent.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.ChatActionBar`
    Returns:
      this.CONSTRUCTOR